WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000269WeBidBiddingpublic2011-04-27 01:142015-06-06 01:49
ReporterEgon Dadalt 
Assigned Torenlok 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.2 
Target VersionFixed in Version1.1.2 
Summary0000269: Buy 2 or more times same auction
Descriptionif one user make 2 or more order about same auction, the value to pay is not corret. To fix, some files need correction.



outstanding.php:

Line 43-46

$query = "SELECT w.id As id, a.title, a.shipping_cost, w.bid, w.qty FROM " . $DBPrefix . "winners w

        LEFT JOIN " . $DBPrefix . "auctions a ON (a.id = w.auction)

        WHERE w.paid = 0 AND w.winner = " . $user->user_data['id'] . "

        LIMIT " . intval($OFFSET) . "," . $system->SETTINGS['perpage'];



buying.php

Line 26

$query = "SELECT DISTINCT a.qty, a.seller, a.paid, a.feedback_win, a.bid, a.auction, b.title, b.ends, b.shipping_cost, b.shipping, u.nick, u.email, a.id as win_id



Line 48

'AUC_ID' => $row['win_id'],





pay.php

Line 52

WHERE w.id = " . intval($_POST['pfval']);
TagsNo tags attached.
import_id271
Thread
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 271
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-04-27 01:14
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2011-04-27 01:14
2015-05-04 10:19 renlok Status new => resolved
2015-05-04 10:19 renlok Fixed in Version => 1.1.2
2015-05-04 10:19 renlok Resolution open => fixed
2015-05-04 10:19 renlok Assigned To => renlok


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker